#ifndef SEARCHWINDOW_H
#define SEARCHWINDOW_H

#include <QtGui/QDialog>
#include <QProcess>
#include <QLineEdit>

namespace Ui {
    class searchWindow;
}

class searchWindow : public QDialog {
    Q_OBJECT
public:
    searchWindow(QWidget *parent = 0, QString searchword="", QLineEdit *urlbox=0);
    ~searchWindow();
    void doSearch();

protected:
    void changeEvent(QEvent *e);

public slots:
    void pollProcess();

private:


    Ui::searchWindow *m_ui;
    QProcess process;
    QString searchword;
    QLineEdit *urlbox;
    QTimer *timer1;

private slots:
    void accept();
};

#endif // SEARCHWINDOW_H
